/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C++ component implementation
 * 1 service with interface Service9, which has a callback
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service9.h"
#include "Service9CallbackProxy.h"
#include <string>

class Service9Impl : public Service9 {
public:
	// @Property
	std::string serviceName;

	Service9CallbackProxyPtr callback1;

	Service9Impl();
	virtual ~Service9Impl();

	virtual std::string operation1(const std::string input);

};
