/*
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


import org.oasisopen.sca.test.ASM_0002_Client;

import testClient.TestInvocation;

/**
 * Client for ASM_6005_TestCase, which tests that the the @name attribute 
 * of a <composite/> <reference/> element is unique amongst the @name 
 * attributes of all the <reference/> elements of that <composite/> 
 */
public class ASM_6005_TestCase extends BaseJAXWSTestCase {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_6005";
    	config.input 			= "request";
    	config.output[0] 			= "exception";
    	config.composite 		= "Test_ASM_6005.composite";
    	config.testServiceName 	= "TestClient";
    	config.testClass 		= ASM_0002_Client.class;
    	config.contributionNames	= new String[] { "ASM_6005", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6005
