/*
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;

/** 
 * A class to hold the metadata about the test
 * @author MikeEdwards
 *
 */
class TestConfiguration {
	
	public String testName;
	public String input;
	public String[] output = new String[1];
	public String composite;
	public String testServiceName;
	public Class<?> testClass;		//TODO - does the client need this??
	public String[] contributionNames = null;
	public Class<?> serviceInterface;

	public TestConfiguration() { }
	
	public String getTestName() { return testName; }
	public String getInput() { return input; }
	public String[] getExpectedOutput() { return output; }
	public String getComposite() { return composite; }
	public String getTestServiceName() { return testServiceName; }
	public Class<?> getTestClass() { return testClass; }
	public String[] getContributionNames() { return contributionNames; }
	public Class<?> getServiceInterface() { return serviceInterface; }
}
