/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Callback;
import org.oasisopen.sca.annotation.Remotable;

/**
 * A remotable service interface containing 1 operation
 * with a callback interface which is local
 * @author MikeEdwards
 *
 */
@Callback(Service6Callback.class)
@Remotable
public interface Service6 {
	
	/**
	 * Method 1 for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );
	
} // end interface
