/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service7;



/**
 * Java component implementation
 * 1 service with interface Service5, which has a callback
 * 0 references
 *
 * @author MikeEdwards
 *
 */
@Service(Service7.class)
public class service6Impl implements Service7 {
	
	@Property
	public String serviceName = "service1";
	@Callback
	public Service6Callback callback;

	/**
	 * Service operation which also invokes an operation on the callback
	 */
	public String operation1(String input) {
		String callbackResult = callback.callback1("callback");
		return serviceName + " operation1 invoked" + " " + callbackResult;
	}

} // end class
