/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * C component implementation
 * 1 service with interface Service4, where the implementation method modifies the input parameter
 * 0 references
 *
 * @author Bryan Aupperle
 *
 */

#include "Service4.h"
#include "SCA.h"

/* @Property */
char serviceName[50];

char *operation1(char *input) {
	int compCode, reason, size = 50;
	char *pServiceName = serviceName, *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &compCode, &reason);
	
	strcat(input, "+1");
	result = (char *)malloc(255);  /* infrastructure must free this */
	strcpy(result, serviceName);
	strcat(result, " operation1 invoked ");
	strcat(result, input);
	return result;
};
