/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service4;


/**
 * Java component implementation
 * 1 service with interface Service4, where the implementation method modifies the input parameter
 * 0 references
 *
 * @author MikeEdwards
 *
 */
@Service(Service4.class)
public class service4Impl implements Service4 {
	
	@Property
	public String serviceName = "service1";

	public String operation1(StringBuffer input) {
		input.append("+1");
		return serviceName + " operation1 invoked " + input.toString();
	}

}
